=== modified file 'bzrlib/tests/TestUtil.py'
--- bzrlib/tests/TestUtil.py	2010-07-19 19:57:24 +0000
+++ bzrlib/tests/TestUtil.py	2010-08-05 18:13:23 +0000
@@ -135,10 +135,13 @@
         >>>         result.addTests([test, test])
         >>>     return result
         """
-        basic_tests = super(TestLoader, self).loadTestsFromModule(module,
-        # GZ 2010-07-19: Python 2.7 unittest also uses load_tests but with a
-        #                different incompatible signature so have to avoid
-            **(sys.version_info > (2, 7) and {"use_load_tests": False} or {}))
+        if sys.version_info < (2, 7):
+            basic_tests = super(TestLoader, self).loadTestsFromModule(module)
+        else:
+            # GZ 2010-07-19: Python 2.7 unittest also uses load_tests but with
+            #                a different and incompatible signature
+            basic_tests = super(TestLoader, self).loadTestsFromModule(module,
+                use_load_tests=False)
         load_tests = getattr(module, "load_tests", None)
         if load_tests is not None:
             return load_tests(basic_tests, module, self)

